Who knows the cause of the error?

Django Version "2.0.7".
The Python Version "3.6.4".
With the launch of a new project in PyCharm, the console started to show what a disaster:

File "D:\eg\venv\lib\site-packages\django\core\servers\basehttp.py", line 86, in handle_error
super().handle_error()
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 368, in handle_error
self.finish_response()
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 180, in finish_response
self.write(data)
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 274, in write
self.send_headers()
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 331, in send_headers
 if not self.origin_server or self.client_is_modern():
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 344, in client_is_modern
 return self.environ['SERVER_PROTOCOL'].upper() != 'HTTP/0.9'
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\socketserver.py", line 639, in process_request_thread
 self.finish_request(request, client_address)
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\socketserver.py", line 361, in finish_request
 self.RequestHandlerClass(request, client_address, self)
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\socketserver.py", line 696, in __init__
self.handle()
 File "D:\eg\venv\lib\site-packages\django\core\servers\basehttp.py", line 154, in handle
handler.run(self.server.get_app())
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\handlers.py", line 144, in run
self.close()
 File "C:\Users\compucter\AppData\Local\Programs\Python\Python36-32\lib\wsgiref\simple_server.py", line 35, in close
 self.status.split(' ',1)[0], self.bytes_sent
AttributeError: 'NoneType' object has no attribute 'split'


Who knows why? The site itself works perfectly.

UPD. Updated Python to '3.7.0' - error didn't disappear.
June 3rd 19 at 21:03
0 answer

Find more questions by tags PythonDjangoPyCharm